Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.ee.jta
Class JTAAnnotationAwareJobRunShellFactory

    java.lang.Object
      org.quartz.ee.jta.JTAAnnotationAwareJobRunShellFactory

All Implemented Interfaces:
  JobRunShellFactory

    public class JTAAnnotationAwareJobRunShellFactory

extends Object
implements JobRunShellFactory

Responsible for creating the instances of a `JobRunShell` to be used within the `QuartzScheduler` instance. It will create a standard `JobRunShell` unless the job class has the `ExecuteInJTATransaction` annotation in which case it will create a `JTAJobRunShell`.

This implementation does not re-use any objects, it simply makes a new JTAJobRunShell each time `borrowJobRunShell()` is called.

Author:
  James House

Constructor Summary
`JTAAnnotationAwareJobRunShellFactory()`

Method Summary
`JobRunShell` | `createJobRunShell(TriggerFiredBundle bundle)` Called by the `QuartzSchedulerThread` to obtain instances of ``JobRunShell``.
`void` | `initialize(Scheduler sched)` Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionContext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTAAnnotationAwareJobRunShellFactory

    public JTAAnnotationAwareJobRunShellFactory()

Method Detail

### initialize

    public void initialize(Scheduler sched)
                    throws SchedulerConfigException

  Initialize the factory, providing a handle to the `Scheduler` that should be made available within the `JobRunShell` and the `JobExecutionContext` s within it, and a handle to the `SchedulingContext` that the shell will use in its own operations with the `JobStore`.

  Specified by:
    `initialize` in interface `JobRunShellFactory`
  Throws:
    `SchedulerConfigException`

### createJobRunShell

    public JobRunShell createJobRunShell(TriggerFiredBundle bundle)
                                  throws SchedulerException

  Called by the `QuartzSchedulerThread` to obtain instances of ``JobRunShell``.

  Specified by:
    `createJobRunShell` in interface `JobRunShellFactory`
  Throws:
    `SchedulerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.